ranges::v3::distance_compare_fn Struct Reference
Core
Inheritance diagram for ranges::v3::distance_compare_fn:

## Public Member Functions

template<typename Rng , requires = (Range<Rng>())>
int | operator() (Rng &&rng, range_difference_type_t< Rng > n) const
Public Member Functions inherited from ranges::v3::iter_distance_compare_fn
template<typename I , typename S , requires = (InputIterator<I>() && Sentinel<S, I>())>
int | operator() (I begin, S end, difference_type_t< I > n) const